// pages/home/xy/index.js
const app = getApp();//新建页面时 默认引入
const req = app.xzjlReq();//初始化一个的request() 实例
Page({

    /**
     * 页面的初始数据
     */
    data: {
        xzInfo:{},
        userInfo:{},
        xyNfc:true,
        xyInfo:{},
        visible:false
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.initXy()
        this.getXzTp()
    },
    /**获取星座图片对应关系 */
    getXzTp(){
        req.getRequest('/api/dict/value/horoscope-resource',{}).then((res)=>{
            if(res.data.code==200){
                this.setData({xzInfo:res.data.data})
            }
           }).catch((err)=>{
            console.log(err);
        })
    },
    initXy(){
        req.getRequest('/api/user/curt',{}).then((res)=>{
            if(res.data.code==200){
                this.setData({userInfo:res.data.data})
            }
            if(res.data.data.horoscope){
                this.setData({visible: true})
                const showVisible = setTimeout(() => {
                    this.setData({visible: false})
                    clearTimeout(showVisible)
                }, 1000)
            }
           }).catch((err)=>{
            console.log(err);
        })
        this.setData({xyInfo:wx.getStorageSync('nfc')})
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.initXy()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {
    }
})